package nr.chordCheck;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JPanel;

import nr.music.chordprovider.ChordProvider;

@SuppressWarnings("serial")
public class PlayPanel extends JPanel{
	private ChordProvider chordProvider;
	private Action playAction = new AbstractAction("Start") {
		public void actionPerformed(ActionEvent e) {
			chordProvider.reset();
			chordProvider.provide();
		}
	};
	
	private Action skipAction = new AbstractAction("Skip") {
		public void actionPerformed(ActionEvent e) {
			chordProvider.provide();
		}
	};
	
	private Action autoStartAction = new AbstractAction("Autostart") {
		public void actionPerformed(ActionEvent e) {
			chordProvider.setAutoStart(((JCheckBox)e.getSource()).isSelected());
		}
	};
	
	public PlayPanel(ChordProvider chordProvider) {
		this.chordProvider = chordProvider;
		setLayout(new FlowLayout(FlowLayout.CENTER));
		JButton playButton = new JButton(playAction);
		JButton skipButton = new JButton(skipAction);
		JCheckBox autostartCheckBox = new JCheckBox(autoStartAction);
		add(autostartCheckBox);
		add(playButton);
		add(skipButton);
	}
}
