package nr.midi;

import org.apache.log4j.Logger;

public class TestMidiReceiver implements MidiReceiverListener{
	static private Logger log = Logger.getLogger(TestMidiReceiver.class);
	public TestMidiReceiver() {
		
	}

	public static void main(String[] args) {
		MidiReceiver rec = new MidiReceiver();
		TestMidiReceiver test = new TestMidiReceiver();
		rec.addMidiReceiverListener(test);
		rec.startReceivingMidi();
		rec.close();
	}
	
	public void midiDataReceived(MidiReceiverEvent event) {
		log.debug("midiDataReceived:" + event.getType() + " Note:" + event.getNote() + " Chord:" + event.getChord());
	}

}
