package nr.music.chordprovider;

import nr.music.Chord;
import nr.music.Tone;

public class ChordProviderEvent {
	private Chord chord;
	private Tone tone;
	
	public enum Type {CHORD, NOTE}
//	private Type type;

	public ChordProviderEvent(Chord chord) {
		this(chord, false);
	}
	public ChordProviderEvent(Chord chord, boolean isLast) {
		this.chord = chord;
//		this.type = Type.CHORD;
	}

//	public ChordProviderEvent(Tone tone) {
//		this(tone, false);
//		
//	}
//	public ChordProviderEvent(Tone note, boolean isLast) {
//		this.tone = note;
//		this.type = Type.NOTE;
//		this.isLast = isLast;
//	}

	public Chord getChord() {
		return chord;
	}

	public Tone getTone() {
		return tone;
	}
	
	@Override
	public String toString() {
		return "ChordProviderEvent[chord:" + chord + " tone:" + tone + "]";
	}
}
