package nr.chordCheck;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.SwingConstants;
import javax.swing.border.TitledBorder;

@SuppressWarnings("serial")
public class CheckerPropertiesPanel extends JPanel{
	Checker checker;
	JCheckBox ignoreOctaveCheckBox;

	public CheckerPropertiesPanel(Checker checker) {
		this.checker = checker;
		init();
	}
	
	Action ignoreOctaveAction = new AbstractAction("ignore Octave") {
		public void actionPerformed(ActionEvent e) {
			checker.setIgnoreOctave(ignoreOctaveCheckBox.isSelected());
		}
	};

	private void init() {
		setLayout(new BorderLayout());
		ignoreOctaveCheckBox = new JCheckBox(ignoreOctaveAction);
		ignoreOctaveCheckBox.setHorizontalTextPosition(SwingConstants.LEFT);
		ignoreOctaveCheckBox.setSelected(checker.isIgnoreOctave());
		setBorder(new TitledBorder("Mixed Things"));
		add(ignoreOctaveCheckBox, BorderLayout.CENTER);
	}
}
